/*
 * ar4c-dcdc - sim-posix.c
 *
 * Simulator for POSIX
 *
 * Copyright (C) 2014  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include <compiler.h>
#include <comm.h>
#include <stdio.h>
#include <storage.h>

static long vbat = 24000 * 256;

void battery_charger_init(void)
{
}

void battery_charger(unsigned char throttle)
{
	vbat += throttle;
}

void adc_init(unsigned char vref)
{
}

void adc_disable(void)
{
}

void adc_enable(void)
{
}

void dcdc_init(void)
{
}

void dcdc_shutdown(unsigned char enable)
{
}

void tio_read(void)
{
	comm_reg_write(COMM_VIN, 28000);
	vbat--;
	comm_reg_write(COMM_VBAT, vbat >> 8);
}

void tio_init(void)
{
}

void ee_write(u8 x, unsigned int addr)
{
}

u8 ee_read(unsigned int addr)
{
	return 0;
}
